package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("SYS_ORGANIZATION_REL")
public class SysOrganizationRelEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("组织机构表id")
    @TableField
    private String ouId;

    @XText("上级组织机构表id")
    @TableField
    private String parentOuId;

    @XText("层级")
    @TableField
    private Integer levels;

    @XText("组织机构ID路径")
    @TableField
    private String ouIdPath;

    @XText("是否包含子ou：0->否；1->是；")
    @TableField
    private Integer isHasChildren;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("结束时间")
    @TableField
    private Date endTime;

    @XText("序号")
    @TableField
    private Integer sort;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getParentOuId() {
        return this.parentOuId;
    }

    public void setParentOuId(String value) {
        this.parentOuId = value;
    }

    public Integer getLevels() {
        return this.levels;
    }

    public void setLevels(Integer value) {
        this.levels = value;
    }

    public String getOuIdPath() {
        return this.ouIdPath;
    }

    public void setOuIdPath(String value) {
        this.ouIdPath = value;
    }

    public Integer getIsHasChildren() {
        return this.isHasChildren;
    }

    public void setIsHasChildren(Integer value) {
        this.isHasChildren = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
