package pps.core.system.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysMenuView;

import java.util.List;

@Repository(value = "pps.core.system.mapper.SysMenuViewMapper")
public interface SysMenuViewMapper {

    SysMenuView selectOne(SysMenuView record);

    List<SysMenuView> selectList(SysMenuView record);

    List<SysMenuView> selectUserMenuList(SysMenuView record);

    List<SysMenuView> selectSysMenuList(SysMenuView record);

    SysMenuView selectMaxSort(String parentMenuId);

    List<SysMenuView> selectSysMenuListByUserIdAndMediaType(SysMenuView record);

    List<SysMenuView> selectParentMenus(SysMenuView menuView);

    void updateShowChildren(SysMenuView menuView);

    List<SysMenuView> selectMenuForThreeLevelList(SysMenuView record);

    List<SysMenuView> selectSysMenuListByMenuName(SysMenuView record);

    List<SysMenuView> selectSysMenuListByUserId(SysMenuView record);

    List<SysMenuView> selectCountByParentMenuIds(@Param("list") List<String> list);

}
