package pps.cloud.base.service.data.base_power_line_wellhead;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class DynamicQueryBasePowerLineWellheadViewOutput {

    @XText("线路ID")
    private String lineId;

    /**
     * 线路名称
     */
    @XText("线路名称")
    private String lineName;

    @XText("井口ID")
    private String wellheadId;

    /**
     * 井号
     */
    @XText("井号")
    @TableField
    private String wellNumber;

    /**
     * 运行类型
     */
    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    /**
     * 运行类型
     */
    @XText("运行类型name(字典获取)")
    private String runTypeName;

    /**
     * 额定功率
     */
    @XText("额定功率(KW)")
    private BigDecimal ratedPower;
}
