package pps.core.base.service.data.base_excel;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 风资源数据(测试用)
 *
 * @author ZWT
 * @date 2024/08/30 15:33
 */
@Data
@ExcelIgnoreUnannotated
public class WindPredictionExcel2Data {

    @ExcelProperty(value = "时间")
    private Date dataTime;

    @ExcelProperty(value = "实际风速")
    private BigDecimal actualWindSpeed;

    @ExcelProperty(value = "实际功率")
    private BigDecimal actualPower;

    @ExcelProperty(value = "实际风向")
    private BigDecimal accurateWindDirection;
}
