package pps.core.base.service.data.config_oil_field;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 油田配置入参
 *
 * @author ZWT
 * @date 2024/09/26
 */
@Data
public class GetConfigOilFieldInput {

    @XText("来源")
    @NotBlank(message = "缺少系统来源")
    private String source;
}
