package pps.core.base.service.data.config_oil_field;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

/**
 * 油田配置输出
 *
 * @author ZWT
 * @date 2024/06/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetConfigOilFieldOutput {

    @XText("首页路由")
    private String homePagePath;

    @XText("标题")
    private String title;
}
