package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 执行历史
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@TableName("SPACE_CALIBRATION_HISTORY")
public class SpaceCalibrationHistoryEnt extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("间开制度ID")
    @TableField
    private String institutionId;

    @XText("执行周期")
    @TableField
    private String executionCycle;

    @XText("校准日期")
    @TableField
    private Date calibrationDate;
}
