package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeEffectView;

import java.util.List;

/**
 * 间开优化效果
 *
 * @author ZWT
 * @date 2024/10/31
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeEffectViewMapper")
public interface SpaceOptimizeEffectViewMapper {
    SpaceOptimizeEffectView selectOne(SpaceOptimizeEffectView record);

    List<SpaceOptimizeEffectView> selectList(SpaceOptimizeEffectView record);

    /**
     * 批插入列表
     *
     * @param list 列表
     * @return int
     */
    int batchInsert(@Param(value = "list") List<SpaceOptimizeEffectView> list);
}
