package pps.core.space.service.data.space_optimize_effect;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class GetSpaceOptimizeEffectInput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间(优化开始时间)")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("优化周期ID")
    private String periodId;

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    @XText("优化日期")
    private Date optimizeDate;

    @XText("优化后制度描述")
    private String optimalResult;

    @XText("优化前总开井时长(h)")
    private BigDecimal totalDuration;

    @XText("优化前绿电开井时长(h)")
    private BigDecimal greenPowerDuration;

    @XText("优化前谷电开井时长(h)")
    private BigDecimal lowPowerDuration;

    @XText("优化前平电开井时长(h)")
    private BigDecimal midPowerDuration;

    @XText("优化前高峰电开井时长(h)")
    private BigDecimal highPowerDuration;

    @XText("优化前尖峰电开井时长(h)")
    private BigDecimal peakPowerDuration;

    @XText("优化前绿电占比(%)")
    private BigDecimal greenPowerRate;

    @XText("优化前用能成本(元)")
    private BigDecimal powerCost;

    @XText("优化后总开井时长(h)")
    private BigDecimal optimalTotalDuration;

    @XText("优化后绿电开井时长(h)")
    private BigDecimal optimalGreenPowerDuration;

    @XText("优化后谷电开井时长(h)")
    private BigDecimal optimalLowPowerDuration;

    @XText("优化后平电开井时长(h)")
    private BigDecimal optimalMidPowerDuration;

    @XText("优化后高峰电开井时长(h)")
    private BigDecimal optimalHighPowerDuration;

    @XText("优化后尖峰电开井时长(h)")
    private BigDecimal optimalPeakPowerDuration;

    @XText("优化后绿电占比(%)")
    private BigDecimal optimalGreenPowerRate;

    @XText("优化后用能成本(元)")
    private BigDecimal optimalPowerCost;

    @XText("绿电提升(%)")
    private BigDecimal greenPowerUpgrade;

    @XText("成本降低(元)")
    private BigDecimal costDown;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getPeriodId() {
        return this.periodId;
    }

    public void setPeriodId(String value) {
        this.periodId = value;
    }

    public String getWellheadId() {
        return this.wellheadId;
    }

    public void setWellheadId(String value) {
        this.wellheadId = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public Date getOptimizeDate() {
        return this.optimizeDate;
    }

    public void setOptimizeDate(Date value) {
        this.optimizeDate = value;
    }

    public String getOptimalResult() {
        return this.optimalResult;
    }

    public void setOptimalResult(String value) {
        this.optimalResult = value;
    }

    public BigDecimal getTotalDuration() {
        return this.totalDuration;
    }

    public void setTotalDuration(BigDecimal value) {
        this.totalDuration = value;
    }

    public BigDecimal getGreenPowerDuration() {
        return this.greenPowerDuration;
    }

    public void setGreenPowerDuration(BigDecimal value) {
        this.greenPowerDuration = value;
    }

    public BigDecimal getLowPowerDuration() {
        return this.lowPowerDuration;
    }

    public void setLowPowerDuration(BigDecimal value) {
        this.lowPowerDuration = value;
    }

    public BigDecimal getMidPowerDuration() {
        return this.midPowerDuration;
    }

    public void setMidPowerDuration(BigDecimal value) {
        this.midPowerDuration = value;
    }

    public BigDecimal getHighPowerDuration() {
        return this.highPowerDuration;
    }

    public void setHighPowerDuration(BigDecimal value) {
        this.highPowerDuration = value;
    }

    public BigDecimal getPeakPowerDuration() {
        return this.peakPowerDuration;
    }

    public void setPeakPowerDuration(BigDecimal value) {
        this.peakPowerDuration = value;
    }

    public BigDecimal getGreenPowerRate() {
        return this.greenPowerRate;
    }

    public void setGreenPowerRate(BigDecimal value) {
        this.greenPowerRate = value;
    }

    public BigDecimal getPowerCost() {
        return this.powerCost;
    }

    public void setPowerCost(BigDecimal value) {
        this.powerCost = value;
    }

    public BigDecimal getOptimalTotalDuration() {
        return this.optimalTotalDuration;
    }

    public void setOptimalTotalDuration(BigDecimal value) {
        this.optimalTotalDuration = value;
    }

    public BigDecimal getOptimalGreenPowerDuration() {
        return this.optimalGreenPowerDuration;
    }

    public void setOptimalGreenPowerDuration(BigDecimal value) {
        this.optimalGreenPowerDuration = value;
    }

    public BigDecimal getOptimalLowPowerDuration() {
        return this.optimalLowPowerDuration;
    }

    public void setOptimalLowPowerDuration(BigDecimal value) {
        this.optimalLowPowerDuration = value;
    }

    public BigDecimal getOptimalMidPowerDuration() {
        return this.optimalMidPowerDuration;
    }

    public void setOptimalMidPowerDuration(BigDecimal value) {
        this.optimalMidPowerDuration = value;
    }

    public BigDecimal getOptimalHighPowerDuration() {
        return this.optimalHighPowerDuration;
    }

    public void setOptimalHighPowerDuration(BigDecimal value) {
        this.optimalHighPowerDuration = value;
    }

    public BigDecimal getOptimalPeakPowerDuration() {
        return this.optimalPeakPowerDuration;
    }

    public void setOptimalPeakPowerDuration(BigDecimal value) {
        this.optimalPeakPowerDuration = value;
    }

    public BigDecimal getOptimalGreenPowerRate() {
        return this.optimalGreenPowerRate;
    }

    public void setOptimalGreenPowerRate(BigDecimal value) {
        this.optimalGreenPowerRate = value;
    }

    public BigDecimal getOptimalPowerCost() {
        return this.optimalPowerCost;
    }

    public void setOptimalPowerCost(BigDecimal value) {
        this.optimalPowerCost = value;
    }

    public BigDecimal getGreenPowerUpgrade() {
        return this.greenPowerUpgrade;
    }

    public void setGreenPowerUpgrade(BigDecimal value) {
        this.greenPowerUpgrade = value;
    }

    public BigDecimal getCostDown() {
        return this.costDown;
    }

    public void setCostDown(BigDecimal value) {
        this.costDown = value;
    }

}
