package pps.cloud.prediction.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 场站日统计
 *
 * @author ZWT
 * @date 2024/10/20 16:25
 */
@XService
@XText("场站日统计Cloud模块")
public interface IStationDailyCloudService {

    /**
     * 场站日统计定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("光伏预测Cloud模块--场站日统计定时任务")
    XServiceResult stationDailyJob(XContext context);
}
