package pps.cloud.prediction.service.data.plant_predicted_power_data;

import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 电站预测功率短期72小时数据
 *
 * @author ZWT
 * @date 2024/11/28
 */
@Data
public class GetPredictedPowerViewOutput implements Serializable {

    private static final long serialVersionUID = -1183112288004968421L;

    @XText("日期")
    private Date createTime;

    @XText("预测发电量")
    private BigDecimal predictPower;

    @XText("电站名称")
    private String stationName;
}
