package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("PLANT_TRAIN_POWER_TASK")
public class PlantTrainPowerTaskEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("电站id")
    @TableField
    private String plantId;

    @XText("模型类别：A：多线路模型，O:单线路模型")
    @TableField
    private String modelKey;

    @XText("周期4/72/240 小时")
    @TableField
    private String modelCycle;

    @XText("运行状态1：成功，2：失败")
    @TableField
    private String runState;

    @XText("运行步骤 T:训练，V:验证，P:预测")
    @TableField
    private String runStep;

    @XText("得分")
    @TableField
    private String metricsScore;

    @XText("创建时间")
    @TableField
    private Date createTime;

}
