package pps.cloud.middle.service;

import pps.cloud.middle.service.data.third_active_power.GetThirdActivePowerViewInput;
import pps.cloud.middle.service.data.third_active_power.GetThirdActivePowerViewOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

/**
 * 实际功率
 *
 * @author ZWT
 * @date 2024/10/19 15:15
 */
@XText("实际功率Cloud模块")
@XService
public interface IThirdActivePowerCloudService {

    /**
     * 实际功率列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetThirdActivePowerViewOutput }>
     */
    @XText("实际功率列表")
    XListResult<GetThirdActivePowerViewOutput> getThirdActivePowerList(XContext context, GetThirdActivePowerViewInput input);
}
