package pps.cloud.middle.service;

import pps.cloud.middle.service.data.third_photovoltaic_power.GetThirdPhotovoltaicPowerInput;
import pps.cloud.middle.service.data.third_photovoltaic_power.GetThirdPhotovoltaicPowerOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

/**
 * 日发电量
 *
 * @author ZWT
 * @date 2024/10/19 19:24
 */
@XText("日发电量Cloud模块")
@XService
public interface IThirdPhotovoltaicPowerCloudService {

    /**
     * 电站累积数据列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetThirdPhotovoltaicPowerOutput }>
     */
    @XText("电站累积数据列表")
    XListResult<GetThirdPhotovoltaicPowerOutput> getPhotovoltaicPowerList(XContext context, GetThirdPhotovoltaicPowerInput input);
}
