package pps.cloud.middle.service;

import pps.cloud.middle.service.data.third_well_avg_active_power.GetThirdWellAvgActivePowerInput;
import pps.cloud.middle.service.data.third_well_avg_active_power.GetThirdWellAvgActivePowerOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

/**
 * 单井平均实际功率
 *
 * @author ZWT
 * @date 2024/10/19 19:57
 */
@XText("单井平均实际功率Cloud模块")
@XService
public interface IThirdWellAvgActivePowerCloudService {

    /**
     * 实际功率列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetThirdWellAvgActivePowerOutput }>
     */
    @XText("实际功率列表")
    XListResult<GetThirdWellAvgActivePowerOutput> getThirdActivePowerList(XContext context, GetThirdWellAvgActivePowerInput input);
}
