package pps.cloud.middle.service.data.third_well_avg_active_power;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 单井平均实际功率
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Data
public class GetThirdWellAvgActivePowerInput {
    @XText("ID")
    private Long id;

    @XText("井号")
    private String wellNumber;

    @XText("采集时间")
    private Date inputTime;

    @XText("平均有功功率(KW)")
    private BigDecimal avgActivePower;

    @XText("来源系统")
    private String systemSource;

    @XText("入库日期")
    private Date saveDate;
}
