package pps.cloud.middle.service.data.weather_attachment_record;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 天气附件记录
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWeatherAttachmentRecordInput {
    @XText("邮件时间")
    private Date emailDataTime;

    @XText("邮件附件下载地址")
    private String emailAttachmentUrl;

    @XText("邮件名称")
    private String emailName;

    @XText("环境")
    private String oilFieldCode;
}
