package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 电站逆变器映射关系表
 *
 * @author ZWT
 * @date 2024/10/18
 */
@Data
public class StationMappingView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("逆变器ID")
    @TableField
    private Long inverterId;

    @XText("逆变器名称")
    @TableField
    private String inverterName;

    @XText("井场ID(吉林光伏电站ID)")
    @TableField
    private Long wellSiteId;

    @XText("井场名称(吉林光伏电站名称)")
    @TableField
    private String wellSiteName;

    @XText("光伏安装位置(吉林)")
    @TableField
    private String installPosition;

    @XText("系统电站名称(零碳系统)")
    @TableField
    private String systemStationName;
}