package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 间开制度
 *
 * @author ZWT
 * @date 2024/10/18
 */
@Data
@TableName("WELL_BASE")
public class WellBaseEnt implements Serializable {
    @XText("井号")
    @TableField
    private String wellName;

    @XText("是否间抽(1_是)")
    @TableField
    private String isJc;

    @XText("间抽制度(分钟)")
    @TableField
    private String jcZd;

    @XText("下一次启停时间")
    @TableField
    private Date nextDate;

    @XText("下一次启停状态(1_启动,0_关闭)")
    @TableField
    private String nextStatues;
}
