package pps.core.middle.mapper;

import org.springframework.stereotype.Repository;
import pps.core.middle.entity.ThirdActivePowerView;

import java.util.List;

/**
 * 实际功率
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Repository(value = "pps.core.middle.mapper.ThirdActivePowerViewMapper")
public interface ThirdActivePowerViewMapper {
    ThirdActivePowerView selectOne(ThirdActivePowerView record);

    List<ThirdActivePowerView> selectList(ThirdActivePowerView record);

    /**
     * 实际功率
     *
     * @param record 记录
     * @return {@link List }<{@link ThirdActivePowerView }>
     */
    List<ThirdActivePowerView> selectThirdActivePowerList(ThirdActivePowerView record);
}
