package pps.core.middle.mapper;

import org.springframework.stereotype.Repository;
import pps.core.middle.entity.WellheadDailyProductionSituationView;

import java.util.List;

/**
 * 井口日累计生产数据
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Repository(value = "pps.core.middle.mapper.WellheadDailyProductionSituationViewMapper")
public interface WellheadDailyProductionSituationViewMapper {
    WellheadDailyProductionSituationView selectOne(WellheadDailyProductionSituationView record);

    List<WellheadDailyProductionSituationView> selectList(WellheadDailyProductionSituationView record);

    /**
     * 日累计生产数据
     *
     * @param record 记录
     * @return {@link List }<{@link WellheadDailyProductionSituationView }>
     */
    List<WellheadDailyProductionSituationView> selectWellDailyProductionSituationList(WellheadDailyProductionSituationView record);
}
