package pps.core.middle.service.data.station_mapping;

import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

public class QueryStationMappingInput extends XPageInput {
    @XText("ID")
    private Long id;

    @XText("逆变器ID")
    private Long inverterId;

    @XText("逆变器名称")
    private String inverterName;

    @XText("井场ID(吉林光伏电站ID)")
    private Long wellSiteId;

    @XText("井场名称(吉林光伏电站名称)")
    private String wellSiteName;

    @XText("光伏安装位置(吉林)")
    private String installPosition;

    @XText("系统电站名称(零碳系统)")
    private String systemStationName;

    public Long getID() {
        return this.id;
    }

    public void setID(Long value) {
        this.id = value;
    }

    public Long getInverterId() {
        return this.inverterId;
    }

    public void setInverterId(Long value) {
        this.inverterId = value;
    }

    public String getInverterName() {
        return this.inverterName;
    }

    public void setInverterName(String value) {
        this.inverterName = value;
    }

    public Long getWellSiteId() {
        return this.wellSiteId;
    }

    public void setWellSiteId(Long value) {
        this.wellSiteId = value;
    }

    public String getWellSiteName() {
        return this.wellSiteName;
    }

    public void setWellSiteName(String value) {
        this.wellSiteName = value;
    }

    public String getInstallPosition() {
        return this.installPosition;
    }

    public void setInstallPosition(String value) {
        this.installPosition = value;
    }

    public String getSystemStationName() {
        return this.systemStationName;
    }

    public void setSystemStationName(String value) {
        this.systemStationName = value;
    }

}
