package pps.core.middle.service.data.third_current_well_condition;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class GetThirdCurrentWellConditionOutput {
    @XText("ID")
    private Long id;

    @XText("井号")
    private String wellNumber;

    @XText("下次启停时间")
    private Date nextTime;

    @XText("井口状态(开/停井)")
    private String wellStatus;

    @XText("累计产液量(m3)")
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    private BigDecimal runningTime;

    @XText("来源系统")
    private String systemSource;

    @XText("更新时间")
    private Date updateTime;

    public Long getId() {
        return this.id;
    }

    public void setId(Long value) {
        this.id = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public Date getNextTime() {
        return this.nextTime;
    }

    public void setNextTime(Date value) {
        this.nextTime = value;
    }

    public String getWellStatus() {
        return this.wellStatus;
    }

    public void setWellStatus(String value) {
        this.wellStatus = value;
    }

    public BigDecimal getCumulativeProduction() {
        return this.cumulativeProduction;
    }

    public void setCumulativeProduction(BigDecimal value) {
        this.cumulativeProduction = value;
    }

    public BigDecimal getRunningTime() {
        return this.runningTime;
    }

    public void setRunningTime(BigDecimal value) {
        this.runningTime = value;
    }

    public String getSystemSource() {
        return this.systemSource;
    }

    public void setSystemSource(String value) {
        this.systemSource = value;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date value) {
        this.updateTime = value;
    }

}
