package pps.core.middle.service.data.third_daily_accumulation;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class UpdateThirdDailyAccumulationOutput {
    @XText("ID")
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    private String stationName;

    @XText("井组ID(光伏电站)")
    private String stationId;

    @XText("创建时间")
    private Date createDate;

    @XText("光伏日累计发电(KWh)")
    private BigDecimal photovoltaicPower;

    @XText("日累计用电量(KW·h)")
    private BigDecimal dailyElectricityConsumption;

    @XText("日累计产液量(m3)")
    private BigDecimal dailyLiquidProduction;

    @XText("就地消纳电量(KWh)")
    private BigDecimal inPlaceConsumption;

    @XText("入库日期")
    private Date saveDate;

    @XText("来源系统")
    private String systemSource;

    @XText("储能累计放电量(KW·h)")
    private BigDecimal energyStorageDischarge;

    public Long getId() {
        return this.id;
    }

    public void setId(Long value) {
        this.id = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public Date getCreateDate() {
        return this.createDate;
    }

    public void setCreateDate(Date value) {
        this.createDate = value;
    }

    public BigDecimal getPhotovoltaicPower() {
        return this.photovoltaicPower;
    }

    public void setPhotovoltaicPower(BigDecimal value) {
        this.photovoltaicPower = value;
    }

    public BigDecimal getDailyElectricityConsumption() {
        return this.dailyElectricityConsumption;
    }

    public void setDailyElectricityConsumption(BigDecimal value) {
        this.dailyElectricityConsumption = value;
    }

    public BigDecimal getDailyLiquidProduction() {
        return this.dailyLiquidProduction;
    }

    public void setDailyLiquidProduction(BigDecimal value) {
        this.dailyLiquidProduction = value;
    }

    public BigDecimal getInPlaceConsumption() {
        return this.inPlaceConsumption;
    }

    public void setInPlaceConsumption(BigDecimal value) {
        this.inPlaceConsumption = value;
    }

    public Date getSaveDate() {
        return this.saveDate;
    }

    public void setSaveDate(Date value) {
        this.saveDate = value;
    }

    public String getSystemSource() {
        return this.systemSource;
    }

    public void setSystemSource(String value) {
        this.systemSource = value;
    }

    public BigDecimal getEnergyStorageDischarge() {
        return this.energyStorageDischarge;
    }

    public void setEnergyStorageDischarge(BigDecimal value) {
        this.energyStorageDischarge = value;
    }

}
