package pps.core.common.entity;

import lombok.Data;

/**
 * BaseResultVO
 *
 * @author ZWT
 * @date 2024/11/14
 */
@Data
public class BaseResult<T> {

    private Integer code;

    private String message;

    private T data;

    private BaseResult(int code, String message, T data) {
        this.code = code;
        this.message = message;
        this.data = data;
    }
}
