package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SysAuthOuScopeView implements Serializable {
    @XText("范围授权id(主键)")
    @TableField
    private String id;

    @XText("被许可组织机构ID")
    @TableField
    private String ouId;

    @XText("组织机构名称")
    private String ouName;

    @XText("用户id")
    @TableField
    private String userId;

    @XText("用户组id")
    @TableField
    private String userGroupId;

    @XText("菜单ID")
    @TableField
    private String menuId;

    @XText("菜单名称")
    private String menuName;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;
    @XText("修改时间")
    @Transient
    private Date endTime;
    @XText("介质类型")
    @Transient
    private String mediaType;
}
