package pps.core.system.mapper;

import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysAuthOuScopeUserInfo;
import pps.core.system.entity.SysAuthOuScopeView;

import java.util.List;

@Repository(value = "pps.core.system.mapper.SysAuthOuScopeViewMapper")
public interface SysAuthOuScopeViewMapper {
    SysAuthOuScopeView selectOne(SysAuthOuScopeView record);

    List<SysAuthOuScopeView> selectList(SysAuthOuScopeView record);

    void batchInsert(List<SysAuthOuScopeView> list);

    List<SysAuthOuScopeView> selectListByUserGroupId(SysAuthOuScopeView record);

    List<SysAuthOuScopeView> selectOuIdsByUserId(String userId);

    /**
     * 根据条件获取获取用户范围授权的组织机构
     */
    List<SysAuthOuScopeView> selectOuInfoByCondition(SysAuthOuScopeView record);

    List<SysAuthOuScopeUserInfo> selectScopeUserInfo(SysAuthOuScopeView scopeView);
}
