package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 输电线路储能配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@TableName("BASE_POWER_LINE_STORAGE")
public class BasePowerLineStorageEnt extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("储能设备ID")
    @TableField
    private String storageId;

    @XText("组织机构ID")
    @TableField
    private String ouId;
}
