package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@TableName("BASE_POWER_LINE_WELLHEAD")
public class BasePowerLineWellheadEnt extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("启动顺序")
    @TableField
    private Integer startSeq;
}
