package pps.cloud.space.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 昨日绿电占比Cloud模块
 *
 * @author ZWT
 * @date 2024/11/27 15:13
 */
@XService
@XText("昨日绿电占比Cloud模块")
public interface ISpaceYesterdayGreenRateCloudService {

    /**
     * 昨日绿电占比定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("昨日绿电占比定时任务")
    XServiceResult yesterdayGreenRateJob(XContext context);
}
