package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceYesterdayGreenRateView;

import java.util.List;

/**
 * 昨日绿电占比
 *
 * @author ZWT
 * @date 2024/11/27
 */
@Repository(value = "pps.core.space.mapper.SpaceYesterdayGreenRateViewMapper")
public interface SpaceYesterdayGreenRateViewMapper {

    SpaceYesterdayGreenRateView selectOne(SpaceYesterdayGreenRateView record);

    List<SpaceYesterdayGreenRateView> selectList(SpaceYesterdayGreenRateView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsert(@Param(value = "list") List<SpaceYesterdayGreenRateView> list);
}
