package pps.cloud.middle.service;

import pps.cloud.middle.service.data.third_current_well_condition.GetThirdCurrentWellConditionInput;
import pps.cloud.middle.service.data.third_current_well_condition.GetThirdCurrentWellConditionOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

/**
 * 油井状态
 *
 * @author ZWT
 * @date 2024/10/19 16:15
 */
@XText("油井状态Cloud模块")
@XService
public interface IThirdCurrentWellConditionCloudService {

    /**
     * 油井状态列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetThirdCurrentWellConditionOutput }>
     */
    @XText("油井状态列表")
    XListResult<GetThirdCurrentWellConditionOutput> getCurrentWellConditionList(XContext context, GetThirdCurrentWellConditionInput input);
}
