package pps.cloud.middle.service;

import pps.cloud.middle.service.data.third_daily_accumulation.GetThirdDailyAccumulationInput;
import pps.cloud.middle.service.data.third_daily_accumulation.GetThirdDailyAccumulationOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

/**
 * 电站累积数据
 *
 * @author ZWT
 * @date 2024/10/19 18:14
 */
@XText("电站累积数据Cloud模块")
@XService
public interface IThirdDailyAccumulationCloudService {

    /**
     * 电站累积数据列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetThirdDailyAccumulationOutput }>
     */
    @XText("电站累积数据列表")
    XListResult<GetThirdDailyAccumulationOutput> getDailyAccumulationList(XContext context, GetThirdDailyAccumulationInput input);
}
