package pps.cloud.middle.service;

import pps.cloud.middle.service.data.wellhead_daily_production_situation.GetWellheadDailyProductionSituationInput;
import pps.cloud.middle.service.data.wellhead_daily_production_situation.GetWellheadDailyProductionSituationOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

/**
 * 井口日累计生产数据
 *
 * @author ZWT
 * @date 2024/10/19 21:01
 */
@XText("井口日累计生产数据Cloud模块")
@XService
public interface IWellDailyProductionSituationCloudService {

    /**
     * 井口日累计生产数据列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetWellheadDailyProductionSituationOutput }>
     */
    @XText("井口日累计生产数据列表")
    XListResult<GetWellheadDailyProductionSituationOutput> getWellDailyProductionSituationList(XContext context, GetWellheadDailyProductionSituationInput input);
}