package pps.cloud.middle.service.data.third_current_well_condition;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 油井状态
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Data
public class GetThirdCurrentWellConditionOutput {
    @XText("ID")
    private Long id;

    @XText("井号")
    private String wellNumber;

    @XText("下次启停时间")
    private Date nextTime;

    @XText("井口状态(开/停井)")
    private String wellStatus;

    @XText("累计产液量(m3)")
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    private BigDecimal runningTime;

    @XText("来源系统")
    private String systemSource;

    @XText("更新时间")
    private Date updateTime;
}
