package pps.core.middle.mapper;

import org.springframework.stereotype.Repository;
import pps.core.middle.entity.ThirdPhotovoltaicPowerView;

import java.util.List;

/**
 * 日发电量
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Repository(value = "pps.core.middle.mapper.ThirdPhotovoltaicPowerViewMapper")
public interface ThirdPhotovoltaicPowerViewMapper {
    ThirdPhotovoltaicPowerView selectOne(ThirdPhotovoltaicPowerView record);

    List<ThirdPhotovoltaicPowerView> selectList(ThirdPhotovoltaicPowerView record);

    /**
     * 日发电量列表
     *
     * @param record 记录
     * @return {@link List }<{@link ThirdPhotovoltaicPowerView }>
     */
    List<ThirdPhotovoltaicPowerView> selectPhotovoltaicPowerList(ThirdPhotovoltaicPowerView record);
}
