package pps.core.middle.service.data.third_photovoltaic_power;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class DynamicQueryThirdPhotovoltaicPowerViewOutput {
    @XText("ID")
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    private String stationName;

    @XText("创建时间")
    private Date createDate;

    @XText("光伏日累积发电量(KW·h)")
    private BigDecimal photovoltaicPower;

    @XText("来源系统")
    private String systemSource;

    public Long getId() {
        return this.id;
    }

    public void setId(Long value) {
        this.id = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public Date getCreateDate() {
        return this.createDate;
    }

    public void setCreateDate(Date value) {
        this.createDate = value;
    }

    public BigDecimal getPhotovoltaicPower() {
        return this.photovoltaicPower;
    }

    public void setPhotovoltaicPower(BigDecimal value) {
        this.photovoltaicPower = value;
    }

    public String getSystemSource() {
        return this.systemSource;
    }

    public void setSystemSource(String value) {
        this.systemSource = value;
    }

}
