package pps.core.middle.service.data.third_well_avg_active_power;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class GetThirdWellAvgActivePowerOutput {
    @XText("ID")
    private Long id;

    @XText("井号")
    private String wellNumber;

    @XText("采集时间")
    private Date inputTime;

    @XText("平均有功功率(KW)")
    private BigDecimal avgActivePower;

    @XText("来源系统")
    private String systemSource;

    @XText("入库日期")
    private Date saveDate;

    public Long getId() {
        return this.id;
    }

    public void setId(Long value) {
        this.id = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public Date getInputTime() {
        return this.inputTime;
    }

    public void setInputTime(Date value) {
        this.inputTime = value;
    }

    public BigDecimal getAvgActivePower() {
        return this.avgActivePower;
    }

    public void setAvgActivePower(BigDecimal value) {
        this.avgActivePower = value;
    }

    public String getSystemSource() {
        return this.systemSource;
    }

    public void setSystemSource(String value) {
        this.systemSource = value;
    }

    public Date getSaveDate() {
        return this.saveDate;
    }

    public void setSaveDate(Date value) {
        this.saveDate = value;
    }

}
