package pps.core.middle.service.data.weather_bureau_data;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class UpdateWeatherBureauDataOutput {
    @XText("ID")
    private Long id;

    @XText("记录时间")
    private Date dataTime;

    @XText("天气图标")
    private String weatherIcon;

    @XText("气温(℃)")
    private BigDecimal airTemperature;

    @XText("降水")
    private String precipitation;

    @XText("风速(m/s)")
    private BigDecimal windSpeed;

    @XText("风向")
    private BigDecimal windDirection;

    @XText("气压(hPa)")
    private BigDecimal pressure;

    @XText("湿度(%)")
    private BigDecimal humidity;

    @XText("云量(%)")
    private BigDecimal cloudCover;

    @XText("地区编码")
    private String areaCode;

    public Long getId() {
        return this.id;
    }

    public void setId(Long value) {
        this.id = value;
    }

    public Date getDataTime() {
        return this.dataTime;
    }

    public void setDataTime(Date value) {
        this.dataTime = value;
    }

    public String getWeatherIcon() {
        return this.weatherIcon;
    }

    public void setWeatherIcon(String value) {
        this.weatherIcon = value;
    }

    public BigDecimal getAirTemperature() {
        return this.airTemperature;
    }

    public void setAirTemperature(BigDecimal value) {
        this.airTemperature = value;
    }

    public String getPrecipitation() {
        return this.precipitation;
    }

    public void setPrecipitation(String value) {
        this.precipitation = value;
    }

    public BigDecimal getWindSpeed() {
        return this.windSpeed;
    }

    public void setWindSpeed(BigDecimal value) {
        this.windSpeed = value;
    }

    public BigDecimal getWindDirection() {
        return this.windDirection;
    }

    public void setWindDirection(BigDecimal value) {
        this.windDirection = value;
    }

    public BigDecimal getPressure() {
        return this.pressure;
    }

    public void setPressure(BigDecimal value) {
        this.pressure = value;
    }

    public BigDecimal getHumidity() {
        return this.humidity;
    }

    public void setHumidity(BigDecimal value) {
        this.humidity = value;
    }

    public BigDecimal getCloudCover() {
        return this.cloudCover;
    }

    public void setCloudCover(BigDecimal value) {
        this.cloudCover = value;
    }

    public String getAreaCode() {
        return this.areaCode;
    }

    public void setAreaCode(String value) {
        this.areaCode = value;
    }

}
