package pps.core.middle.service.data.wellhead_daily_production_situation;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class GetWellheadDailyProductionSituationViewOutput {
    @XText("ID")
    private Long id;

    @XText("井号")
    private String wellNumber;

    @XText("数据日期")
    private Date dataDate;

    @XText("日耗电量(kW-h)")
    private BigDecimal powerConsumeDaily;

    @XText("日市电用电量")
    private BigDecimal dailyUtilityElectricityConsumption;

    @XText("尖峰时段用电量")
    private BigDecimal electricityConsumptionPh;

    @XText("高峰时段用电量")
    private BigDecimal electricityConsumptionHh;

    @XText("平时段用电量")
    private BigDecimal electricityConsumptionNp;

    @XText("谷时段用电量")
    private BigDecimal electricityConsumptionVh;

    @XText("日市电用电费")
    private BigDecimal electricityChargeCity;

    @XText("尖峰时段电费")
    private BigDecimal electricityChargesPh;

    @XText("高峰时段电费")
    private BigDecimal peakHourTariff;

    @XText("平时段电费")
    private BigDecimal normalPeriodTariff;

    @XText("谷时段用电费")
    private BigDecimal alleyHoursTariff;

    @XText("开井时长(h)")
    private BigDecimal startHours;

    @XText("日产液量(m3)")
    private BigDecimal dailyLiquidProduction;

    @XText("来源系统")
    private String systemSource;

    @XText("创建时间")
    private Date createDate;

    public Long getID() {
        return this.id;
    }

    public void setID(Long value) {
        this.id = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public Date getDataDate() {
        return this.dataDate;
    }

    public void setDataDate(Date value) {
        this.dataDate = value;
    }

    public BigDecimal getPowerConsumeDaily() {
        return this.powerConsumeDaily;
    }

    public void setPowerConsumeDaily(BigDecimal value) {
        this.powerConsumeDaily = value;
    }

    public BigDecimal getDailyUtilityElectricityConsumption() {
        return this.dailyUtilityElectricityConsumption;
    }

    public void setDailyUtilityElectricityConsumption(BigDecimal value) {
        this.dailyUtilityElectricityConsumption = value;
    }

    public BigDecimal getElectricityConsumptionPh() {
        return this.electricityConsumptionPh;
    }

    public void setElectricityConsumptionPh(BigDecimal value) {
        this.electricityConsumptionPh = value;
    }

    public BigDecimal getElectricityConsumptionHh() {
        return this.electricityConsumptionHh;
    }

    public void setElectricityConsumptionHh(BigDecimal value) {
        this.electricityConsumptionHh = value;
    }

    public BigDecimal getElectricityConsumptionNp() {
        return this.electricityConsumptionNp;
    }

    public void setElectricityConsumptionNp(BigDecimal value) {
        this.electricityConsumptionNp = value;
    }

    public BigDecimal getElectricityConsumptionVh() {
        return this.electricityConsumptionVh;
    }

    public void setElectricityConsumptionVh(BigDecimal value) {
        this.electricityConsumptionVh = value;
    }

    public BigDecimal getElectricityChargeCity() {
        return this.electricityChargeCity;
    }

    public void setElectricityChargeCity(BigDecimal value) {
        this.electricityChargeCity = value;
    }

    public BigDecimal getElectricityChargesPh() {
        return this.electricityChargesPh;
    }

    public void setElectricityChargesPh(BigDecimal value) {
        this.electricityChargesPh = value;
    }

    public BigDecimal getPeakHourTariff() {
        return this.peakHourTariff;
    }

    public void setPeakHourTariff(BigDecimal value) {
        this.peakHourTariff = value;
    }

    public BigDecimal getNormalPeriodTariff() {
        return this.normalPeriodTariff;
    }

    public void setNormalPeriodTariff(BigDecimal value) {
        this.normalPeriodTariff = value;
    }

    public BigDecimal getAlleyHoursTariff() {
        return this.alleyHoursTariff;
    }

    public void setAlleyHoursTariff(BigDecimal value) {
        this.alleyHoursTariff = value;
    }

    public BigDecimal getSTARTHOURS() {
        return this.startHours;
    }

    public void setSTARTHOURS(BigDecimal value) {
        this.startHours = value;
    }

    public BigDecimal getDailyLiquidProduction() {
        return this.dailyLiquidProduction;
    }

    public void setDailyLiquidProduction(BigDecimal value) {
        this.dailyLiquidProduction = value;
    }

    public String getSystemSource() {
        return this.systemSource;
    }

    public void setSystemSource(String value) {
        this.systemSource = value;
    }

    public Date getCreateDate() {
        return this.createDate;
    }

    public void setCreateDate(Date value) {
        this.createDate = value;
    }

}
